backend_sql {dplyr} | R Documentation

## SQL generation.

### Description

These generics are used to run build various SQL queries. Default methods are provided for `DBIConnection`, but variations in SQL across databases means that it's likely that a backend will require at least a few methods.

### Usage

    sql_select(con, select, from, where = NULL, group_by = NULL,
      having = NULL, order_by = NULL, limit = NULL, offset = NULL, ...)

    sql_subquery(con, sql, name = random_table_name(), ...)

    sql_join(con, x, y, type = "inner", by = NULL, ...)

    sql_semi_join(con, x, y, anti = FALSE, by = NULL, ...)

    sql_set_op(con, x, y, method)

    sql_escape_string(con, x)

    sql_escape_ident(con, x)

### Arguments

`con` | A database connection.

### Value

An SQL string.

[Package dplyr version 0.4.3 Index]